"use strict";
var __classPrivateFieldSet = (this && this.__classPrivateFieldSet) || function (receiver, state, value, kind, f) {
    if (kind === "m") throw new TypeError("Private method is not writable");
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a setter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot write private member to an object whose class did not declare it");
    return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
};
var __classPrivateFieldGet = (this && this.__classPrivateFieldGet) || function (receiver, state, kind, f) {
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a getter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot read private member from an object whose class did not declare it");
    return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var _LocalizedCredential_bundle;
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@credo-ts/core");
const DisplayAttribute_1 = __importDefault(require("./DisplayAttribute"));
class LocalizedCredential {
    constructor(bundle, record, language) {
        var _a, _b, _c, _d;
        _LocalizedCredential_bundle.set(this, void 0);
        if (!language) {
            throw new Error('language is required');
        }
        __classPrivateFieldSet(this, _LocalizedCredential_bundle, bundle, "f");
        this.issuer = (_a = bundle.metadata.issuer) === null || _a === void 0 ? void 0 : _a[language];
        this.name = (_b = bundle.metadata.name) === null || _b === void 0 ? void 0 : _b[language];
        // If no record attributes are present then grab default attributes from the bundle
        const credentialAttributes = ((_c = record.credentialAttributes) === null || _c === void 0 ? void 0 : _c.length)
            ? record.credentialAttributes
            : bundle.attributes.map((attribute) => {
                return new core_1.CredentialPreviewAttribute(Object.assign(Object.assign({}, attribute), { value: '' }));
            });
        this.attributes =
            (_d = credentialAttributes === null || credentialAttributes === void 0 ? void 0 : credentialAttributes.filter((attribute) => bundle.getAttribute(attribute.name)).map((attribute) => new DisplayAttribute_1.default(attribute, { name: attribute.name, type: '' }, language))) !== null && _d !== void 0 ? _d : [];
    }
    get primaryAttribute() {
        var _a;
        const name = (_a = __classPrivateFieldGet(this, _LocalizedCredential_bundle, "f").branding) === null || _a === void 0 ? void 0 : _a.primaryAttribute;
        return this.getAttribute(name);
    }
    get secondaryAttribute() {
        var _a;
        const name = (_a = __classPrivateFieldGet(this, _LocalizedCredential_bundle, "f").branding) === null || _a === void 0 ? void 0 : _a.secondaryAttribute;
        return this.getAttribute(name);
    }
    getAttribute(attributeName) {
        if (!attributeName) {
            return undefined;
        }
        return this.attributes.find((attribute) => attribute.name === attributeName);
    }
}
_LocalizedCredential_bundle = new WeakMap();
exports.default = LocalizedCredential;
