"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseCredDefFromId = parseCredDefFromId;
const schema_1 = require("./schema");
function parseCredDefFromId(credDefId, schemaId) {
    let name = 'Credential';
    if (credDefId) {
        const credDefRegex = /[^:]+/g;
        const credDefIdParts = credDefId.match(credDefRegex);
        if ((credDefIdParts === null || credDefIdParts === void 0 ? void 0 : credDefIdParts.length) === 5) {
            name = `${credDefIdParts === null || credDefIdParts === void 0 ? void 0 : credDefIdParts[4].replace(/_|-/g, ' ')}`
                .split(' ')
                .map((credIdPart) => credIdPart.charAt(0).toUpperCase() + credIdPart.substring(1))
                .join(' ');
        }
    }
    if (name.toLocaleLowerCase() === 'default' || name.toLowerCase() === 'credential') {
        name = (0, schema_1.parseSchemaFromId)(schemaId).name;
    }
    return name;
}
